Bug 5983 - Pull down images from gravatar.com for contacts with email addresses
: Pull down images from gravatar.com for contacts with email addresses
Status: RESOLVED FIXED
Product: Hermes
General
: unspecified
: All Linux
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Fredrik Wendt
: general
: http://en.gravatar.com/site/implement...
:
:
:
  Show dependency tree
 
Reported: 2009-11-01 12:46 UTC by Andrew Flegg
Modified: 2011-04-20 10:41 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andrew Flegg (reporter) maemo.org 2009-11-01 12:46:05 UTC
BACKGROUND
People can register an avatar at gravatar.com for use with external resources
(such as blog systems). Hermes should identify users with an email address, and
try to pull down an image for them from this service, if no other account has
been matched.

IMPLEMENTATION
A simple URL is produced based on a hash of the email address. This should be
checked in hermes.py outside of the for loop over self.friends. If the contact
has an email address, and no picture, try to retrieve an image from gravatar.

The URL constructed and passed to Gravatar should use the '404' parameter to
not include any default images: http://en.gravatar.com/site/implement/url
Comment 1 Fredrik Wendt 2009-12-22 12:01:51 UTC
I'd be happy to help out with this, if it's not done yet (or someone is working
on it).
Comment 2 Andrew Flegg (reporter) maemo.org 2009-12-22 13:38:59 UTC
No-one(In reply to comment #1)
> I'd be happy to help out with this, if it's not done yet (or someone is working
> on it).

No-one is working on it yet. The interesting question is whether or not it
should even appear in "Accounts" as a Gravatar check for any contact without a
photo and with an email address could be argued to not be worth turning on/off
(through the UI at least).

I'd say, first pass, a Gravatar check is always done, if there are email
addresses available for an unphotoed contact.
Comment 3 Fredrik Wendt 2009-12-28 03:06:00 UTC
Got an intial run to complete now. A staggering number of 5 contacts out of my
647 has put an image on gravatar (Andrew was one of them) ...

Needs proper documentation, license, optimization of speed vs bandwidth, review
etc.
Comment 4 Fredrik Wendt 2009-12-28 03:23:31 UTC
The "Fetching friends' info" step now includes a new substep for gravatar. It
involves collecting all e-mail addresses from all contacts, making a (single)
request to Gravatar (using the new XML-RPC API), asking if any of the addresses
have a gravatar setup. An e-mail adress to url dict is saved.

The "Updating contacts" step now includes a new substep for gravatar, which
only kicks in if a contact didn't match on either social network.

I've not touched the UI yet - I guess using Gravatar.com should be a feature
you can enable/disable. Retrieve can be run without facebook and twitter
accounts.
Comment 5 Andrew Flegg (reporter) maemo.org 2010-06-10 12:53:48 UTC
Fixed in v0.8.0, released today to Extras-devel.